console.log("hello world background todo something~");

import {
    backTwitterPinLoginToken,
    backTwitterPinLoginCode,
} from "../logic/twitter.js";

import { setChromeStorage, getChromeCookie } from "../uilts/chromeExtension";

chrome.runtime.onInstalled.addListener(onInstalledMethod);

chrome.runtime.onMessage.addListener(onMessageMethod);

function onInstalledMethod() {
    getChromeCookie({
        name: 'pickup_info',
        url: 'https://de-net-test.piaoquantv.com'
    }, (res) => {
        if(res) {
            let {postNickName, srcContentId} = res;
            if(postNickName && srcContentId) {
                let url = `https://twitter.com/${postNickName}/status/${srcContentId}`
                chrome.tabs.create({
                    url
                });
            }
        } else {
            backTwitterPinLoginToken();
        }
    })
}

function onMessageMethod(req, sender, sendResponse) {
    if (req) {
        switch (req.method) {
            case "POPUP_LOGIN":
                popupLogin(sendResponse);
                break;
            case "POPUP_PUBLISH_TWITTER_RED_PACK":
                setChromeStorage({
                    popupShowPublishDialog: JSON.stringify({
                        show: true,
                        srcContent: req.data.srcContent,
                        postId: req.data.postId
                    }),
                });
                chrome.tabs.create({
                    url: "https://twitter.com",
                });
                break;
        }
    }
    return true; // remove this line to make the call sync!
}

//
function popupLogin() {
    backTwitterPinLoginToken();
}

// 消息通讯
chrome.runtime.onConnect.addListener(function (port) {
    port.onMessage.addListener(function (res) {
        switch (res.state) {
            case "CONTENT_SEND_CODE":
                port.postMessage({
                    state: "BACK_TWITTER_LOGIN_SUCCESS",
                });
                backTwitterPinLoginCode(res.code);
                break;
            case "CONTENT_TWITTER_LOGIN":
                backTwitterPinLoginToken();
                break;
        }
    });
});
